//////////////////////////////////////////////////////////////////////
//                                                                  //
//  CluelessPlus - an noai-AI                                       //
//                                                                  //
//////////////////////////////////////////////////////////////////////
// 
// CluelessPlus need some help from you in order to function. First, and
// most important he would be happy if you turn off build-on-slope in 
// the patch-settings. This is because he can only build roads from 
// center to center (of tiles).
// 
// Also he prefers flat, smooth maps with low sea-level. The map should
// have low amount of towns and no industries. Industries are big and 
// scary. CluelessPlus don't know how to build around them.
//
// He haven't interacted that much with players so be kind to him.  
// Don't build nasty railways that block his way. He don't know how
// to cross them yet.
//
//
// Author: Zuu (Leif Linse), www.zuu.info, user Zuu @ tt-forums.net
// Purpose: To play around with the noai framework.
//               - Not to make the next big thing.
//
// License: GNU GPL - version 2

//////////////////////////////////////////////////////////////////////
//                                                                  //
//  CLASS: FCluelessPlusPlusAI - registration of the ai             //
//                                                                  //
//////////////////////////////////////////////////////////////////////
class FCluelessPlusPlusAI extends AIInfo {
	function GetAuthor()      { return "Zuu"; }
	function GetName()        { return "CluelessPlus"; }
	function GetShortName()   { return "CLUP"; }
	function GetDescription() { return "An AI that connects town-pairs with bus-links - new in Plus is that it uses library pathfinder - does not support save/load"; }
	function GetVersion()     { return 5; }
	function CanLoadFromVersion(version) { return version <= this.GetVersion(); }
	function GetDate()        { return "2009-07-15"; }
	function CreateInstance() { return "CluelessPlus"; }
}

/* Tell the core we are an AI */
RegisterAI(FCluelessPlusPlusAI());

